Loading...
Searching...
No Matches
transpose: Transpose matrix
Batched LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(B = A^T\) or \(B = A^H\) More...

## Functions

void | magmablas_ctranspose_batched (magma_int_t m, magma_int_t n, magmaFloatComplex **dA_array, magma_int_t ldda, magmaFloatComplex **dAT_array, magma_int_t lddat, magma_int_t batchCount, magma_queue_t queue)
| ctranspose_batched copies and transposes a matrix dA_array[i] to matrix dAT_array[i].
void | magmablas_ctranspose_conj_batched (magma_int_t m, magma_int_t n, magmaFloatComplex **dA_array, magma_int_t ldda, magmaFloatComplex **dAT_array, magma_int_t lddat, magma_int_t batchCount, magma_queue_t queue)
| ctranspose_conj_batched_q copies and conjugate-transposes a matrix dA_array[i] to matrix dAT_array[i].
void | magmablas_dtranspose_batched (magma_int_t m, magma_int_t n, double **dA_array, magma_int_t ldda, double **dAT_array, magma_int_t lddat, magma_int_t batchCount, magma_queue_t queue)
| dtranspose_batched copies and transposes a matrix dA_array[i] to matrix dAT_array[i].
void | magmablas_stranspose_batched (magma_int_t m, magma_int_t n, float **dA_array, magma_int_t ldda, float **dAT_array, magma_int_t lddat, magma_int_t batchCount, magma_queue_t queue)
| stranspose_batched copies and transposes a matrix dA_array[i] to matrix dAT_array[i].
void | magmablas_ztranspose_batched (magma_int_t m, magma_int_t n, magmaDoubleComplex **dA_array, magma_int_t ldda, magmaDoubleComplex **dAT_array, magma_int_t lddat, magma_int_t batchCount, magma_queue_t queue)
| ztranspose_batched copies and transposes a matrix dA_array[i] to matrix dAT_array[i].
void | magmablas_ztranspose_conj_batched (magma_int_t m, magma_int_t n, magmaDoubleComplex **dA_array, magma_int_t ldda, magmaDoubleComplex **dAT_array, magma_int_t lddat, magma_int_t batchCount, magma_queue_t queue)
| ztranspose_conj_batched_q copies and conjugate-transposes a matrix dA_array[i] to matrix dAT_array[i].

## Detailed Description

\(B = A^T\) or \(B = A^H\)

## Function Documentation

## magmablas_ctranspose_batched()

void magmablas_ctranspose_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex ** | dA_array,
|  | magma_int_t | ldda,
|  | magmaFloatComplex ** | dAT_array,
|  | magma_int_t | lddat,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ctranspose_batched copies and transposes a matrix dA_array[i] to matrix dAT_array[i].

Same as ctranspose_batched, but adds queue argument.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | dA_array | COMPLEX* array, dimension (batchCount) array of pointers to the matrices dA, where each dA is of dimension (LDDA,N) The M-by-N matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= M.
  [in] | dAT_array | COMPLEX* array, dimension (batchCount) array of pointers to the matrices dAT, where each dAT is of dimension (LDDAT,M) The N-by-M matrix dAT.
  [in] | lddat | INTEGER The leading dimension of the array dAT. LDDAT >= N.
  [in] | queue | magma_queue_t Queue to execute in.
  [in] | batchCount | Number of matrices in dA_array and dAT_array

## magmablas_ctranspose_conj_batched()

void magmablas_ctranspose_conj_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex ** | dA_array,
|  | magma_int_t | ldda,
|  | magmaFloatComplex ** | dAT_array,
|  | magma_int_t | lddat,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ctranspose_conj_batched_q copies and conjugate-transposes a matrix dA_array[i] to matrix dAT_array[i].

Same as ctranspose_conj_batched, but adds queue argument.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | dA_array | COMPLEX* array, dimension (batchCount) array of pointers to the matrices dA, where each dA is of dimension (LDDA,N) The M-by-N matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= M.
  [in] | dAT_array | COMPLEX* array, dimension (batchCount) array of pointers to the matrices dAT, where each dAT is of dimension (LDDAT,M) The N-by-M matrix dAT.
  [in] | lddat | INTEGER The leading dimension of the array dAT. LDDAT >= N.
  [in] | queue | magma_queue_t Queue to execute in.
  [in] | batchCount | Number of matrices in dA_array and dAT_array

## magmablas_dtranspose_batched()

void magmablas_dtranspose_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | double ** | dA_array,
|  | magma_int_t | ldda,
|  | double ** | dAT_array,
|  | magma_int_t | lddat,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

dtranspose_batched copies and transposes a matrix dA_array[i] to matrix dAT_array[i].

Same as dtranspose_batched, but adds queue argument.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | dA_array | DOUBLE PRECISION* array, dimension (batchCount) array of pointers to the matrices dA, where each dA is of dimension (LDDA,N) The M-by-N matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= M.
  [in] | dAT_array | DOUBLE PRECISION* array, dimension (batchCount) array of pointers to the matrices dAT, where each dAT is of dimension (LDDAT,M) The N-by-M matrix dAT.
  [in] | lddat | INTEGER The leading dimension of the array dAT. LDDAT >= N.
  [in] | queue | magma_queue_t Queue to execute in.
  [in] | batchCount | Number of matrices in dA_array and dAT_array

## magmablas_stranspose_batched()

void magmablas_stranspose_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | float ** | dA_array,
|  | magma_int_t | ldda,
|  | float ** | dAT_array,
|  | magma_int_t | lddat,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

stranspose_batched copies and transposes a matrix dA_array[i] to matrix dAT_array[i].

Same as stranspose_batched, but adds queue argument.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | dA_array | REAL* array, dimension (batchCount) array of pointers to the matrices dA, where each dA is of dimension (LDDA,N) The M-by-N matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= M.
  [in] | dAT_array | REAL* array, dimension (batchCount) array of pointers to the matrices dAT, where each dAT is of dimension (LDDAT,M) The N-by-M matrix dAT.
  [in] | lddat | INTEGER The leading dimension of the array dAT. LDDAT >= N.
  [in] | queue | magma_queue_t Queue to execute in.
  [in] | batchCount | Number of matrices in dA_array and dAT_array

## magmablas_ztranspose_batched()

void magmablas_ztranspose_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex ** | dA_array,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex ** | dAT_array,
|  | magma_int_t | lddat,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ztranspose_batched copies and transposes a matrix dA_array[i] to matrix dAT_array[i].

Same as ztranspose_batched, but adds queue argument.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | dA_array | COMPLEX_16* array, dimension (batchCount) array of pointers to the matrices dA, where each dA is of dimension (LDDA,N) The M-by-N matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= M.
  [in] | dAT_array | COMPLEX_16* array, dimension (batchCount) array of pointers to the matrices dAT, where each dAT is of dimension (LDDAT,M) The N-by-M matrix dAT.
  [in] | lddat | INTEGER The leading dimension of the array dAT. LDDAT >= N.
  [in] | queue | magma_queue_t Queue to execute in.
  [in] | batchCount | Number of matrices in dA_array and dAT_array

## magmablas_ztranspose_conj_batched()

void magmablas_ztranspose_conj_batched | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex ** | dA_array,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex ** | dAT_array,
|  | magma_int_t | lddat,
|  | magma_int_t | batchCount,
|  | magma_queue_t | queue )

ztranspose_conj_batched_q copies and conjugate-transposes a matrix dA_array[i] to matrix dAT_array[i].

Same as ztranspose_conj_batched, but adds queue argument.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | dA_array | COMPLEX_16* array, dimension (batchCount) array of pointers to the matrices dA, where each dA is of dimension (LDDA,N) The M-by-N matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= M.
  [in] | dAT_array | COMPLEX_16* array, dimension (batchCount) array of pointers to the matrices dAT, where each dAT is of dimension (LDDAT,M) The N-by-M matrix dAT.
  [in] | lddat | INTEGER The leading dimension of the array dAT. LDDAT >= N.
  [in] | queue | magma_queue_t Queue to execute in.
  [in] | batchCount | Number of matrices in dA_array and dAT_array